%define name tubemaster++
%define version 2.7
%define release %mkrel 2

Summary:    	TubeMaster++ - Tool that captures video/audio files.
Name:       	%{name}
Version:    	%{version}
Release:    	%{release}
Group:      	Video
License:    	GPL
URL:        	http://www.tubemaster.net/index.html
Source0:     	tm++.linux.tar.xz
Source1:        %{name}.png
Requires:     	java 
#Requires:       jpcap 
Requires:       ffmpeg
Requires:       %{_lib}xvid4
Requires:       %{_lib}lame0
Requires:       wxPythonGTK
BuildArch:      noarch
BuildRoot:  	%{_tmppath}/%{name}-%{version}-root
Obsoletes: 	%name < %version



%description
TubeMaster++ is an open source software by GgSofts. It is a powerful tool which can capture 
multimedia files you are watching or listening from your internet browser (FLV,MP3,MP4). 
Captured files can be saved directly on your computer or converted to other popular video 
or audio formats (AVI, MPEG, MP3, MP4, IPod, PSP ...).

Websites examples : YouTube, DailyMotion, MySpace, Google Videos, LastFM, Grooveshark 
and many others ... Powerful search engines are also integrated to find videos or audio 
(mp3) files directly from the software.

%prep

%setup -n tm++.linux


%install
export DONT_STRIP=1
rm -rf %{buildroot}

mkdir -p %{buildroot}%{_libdir}/%{name}
cp -af TubeMaster++/* %{buildroot}/%{_libdir}/%{name}

#icons
mkdir -p %buildroot/%_miconsdir \
         %buildroot/%_liconsdir \
         %buildroot/%_iconsdir
convert  %SOURCE1 -resize 16x16 %buildroot/%{_miconsdir}/%{name}.png
convert %SOURCE1 -resize 32x32 %buildroot/%{_iconsdir}/%{name}.png
convert %SOURCE1 -resize 48x48 %buildroot/%{_liconsdir}/%{name}.png

mkdir -p %{buildroot}/%{_datadir}/pixmaps
cp -af %buildroot/%{_liconsdir}/%{name}.png \
%{buildroot}/%{_datadir}/pixmaps/%{name}.png

mkdir -p %buildroot%_bindir/
cat > %buildroot%_bindir/%{name} << EOF
#!/bin/sh
cd %_libdir/%{name}
java -jar tm++.jar
cd /
EOF

chmod a+x %{buildroot}%{_bindir}/%{name}

#Program will only run in root
# menu-entry
mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Version=1.0
Encoding=UTF-8
Name=TubeMaster++
GenericName=TubeMaster++
Comment=Tool to capture multimedia files.
Exec=su - root -c %{name}
Icon=%_datadir/pixmaps/%{name}.png
Terminal=0
Type=Application
Categories=AudioVideo;Player;X-MandrivaLinux-Multimedia-Video;
EOF


%clean
rm -rf %{buildroot}


%post
%{update_menus}


%postun
%{clean_menus}

%files
%defattr(-,root,root,0755)
%_bindir/%{name}
%_datadir/applications/%{name}.desktop
%_datadir/pixmaps/%{name}.png
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_libdir}/%{name}/*

%changelog
* Thu Dec 20 2012 Neal <nealbrks0 at gmail dot com> 2.7-2pclos2012
- correct dependencies

* Wed Dec 12 2012 Ken <lxgator@gmail.com> 2.7-1pclos2012
- first build
